Skip to main content
POST
/
v1
/
organization
/
{orgId}
/
contacts
Search organization contacts
curl --request POST \
  --url https://public-api.sessionboard.com/v1/organization/{orgId}/contacts \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "filters": {
    "createdAt": {
      "before": "2023-11-07T05:31:56Z",
      "after": "2023-11-07T05:31:56Z"
    },
    "updatedAt": {
      "before": "2023-11-07T05:31:56Z",
      "after": "2023-11-07T05:31:56Z"
    },
    "status": "accepted"
  },
  "sort": {
    "order": "createdAt",
    "sort": "asc"
  },
  "expand": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "friendly_id": "<string>",
      "full_name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "photo_url": "<string>",
      "company_name": "<string>",
      "title": "<string>",
      "about": "<string>",
      "phone_home": "<string>",
      "phone_mobile": "<string>",
      "address_line_1": "<string>",
      "address_line_2": "<string>",
      "address_city": "<string>",
      "address_state": "<string>",
      "address_postal_code": "<string>",
      "address_country": "<string>",
      "website_url": "<string>",
      "linkedin_url": "<string>",
      "twitter_url": "<string>",
      "facebook_url": "<string>",
      "honorific": "<string>",
      "salutation": "<string>",
      "pronouns": "<string>",
      "gender": "<string>",
      "past_companies": "<string>",
      "educational_affiliation": "<string>",
      "highest_level_of_education": "<string>",
      "ethnicity": "<string>",
      "languages": "<string>",
      "speaker_score": "<string>",
      "organization_contact": "<string>",
      "speaker_fee": "<string>",
      "availability": "<string>",
      "preferred_session_format": "<string>",
      "annual_revenue": "<string>",
      "headcount": "<string>",
      "years_in_operation": "<string>",
      "organization_structure": "<string>",
      "industry": "<string>",
      "global_region": "<string>",
      "audience_type": "<string>",
      "target_age_range": "<string>",
      "topic_expertise": "<string>",
      "brand": "<string>",
      "translated_fields": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "parent_field_id": "<string>",
          "parent_field_source": "<string>",
          "parent_field_name": "<string>",
          "parent_field_internal_name": "<string>",
          "translated_language": "<string>",
          "value": "<string>"
        }
      ],
      "custom_fields": [
        {
          "id": "<string>",
          "name": "<string>",
          "value": "<string>",
          "type": "<string>",
          "internal_name": "<string>",
          "created_at": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "currentPage": 123,
    "pageSize": 123,
    "totalPages": 123,
    "totalResults": 123
  }
}

Authorizations

x-access-token
string
header
required

API key for authentication. Obtain from the Sessionboard admin dashboard.

Path Parameters

orgId
string<uuid>
required

The organization ID (UUID).

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: 1 <= x <= 999
pageSize
integer
default:25

Number of results per page.

Required range: 1 <= x <= 100

Body

application/json

Common search request body used across multiple endpoints.

filters
object
sort
object

Sorting options for search results.

expand
string[]

Expand records with additional data. Possible values: translated_fields

Response

OK

data
object[]
pagination
object

Pagination metadata returned with list responses.